<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<em>Science and Engineering Ethics (2001) 7, 231-238</em>
	<hr>
	<title>Software Engineering Code of Ethics and Professional Practice</title>
			
</head>
<body>
	<h1>Software Engineering Code of Ethics and Professional Practice</h1>
	<h2>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h2>
	<hr>
	<strong>Keywords:</strong> code of ethics, professional responsibility, software engineering
	<br>
	<h3>PREAMBLE</h3>
	<br>
	The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these apirations change the way we act as a software engineering professionals. Without the aspirations, the details can become legalistics and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code.
	<br><br>
	Software engineers shall commit themselves to making the analysis, specification, design, development, testing and maintenance oft software a beneficial and respected profession. In accordance with their commitment to the health, safety and welfare of the public, software engineers shall adhere to the following eight Principles:
	<br><br>
	<strong>PRINCIPLES</strong>
	<br><br>

	<ol>
		<li><em>Public. </em>Software engineers shall act consistently with the public interest.</li>
		<li><em>Client and Employer. </em>Software engineers shall act in a manner that is in the best interest of their client and employer, consistent with the public interest.</li>
		<li><em>Product. </em>Software engineers shall ensure that their products and related modifications meet the highest professional standard possible.
		<li><em>Judgement. </em>Software engineers shall maintain integrity and independence in their professional judgment.</li>
		<li><em>Management. </em>Software engineering managers and leaders shall subscribe and promote an ethical approach tothe amnagement of Software development and maintenance.</li>
		<li><em>Profession. </em>Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
		<li><em>Colleagues. </em>Software engineers shall be fait and supportive of their colleagues.</li>
		<li><em>Self. </em>Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>

	</ol>

</body>
</html>